'use strict';

var stream = require("stream");
var combiner = require("stream-combiner2");
var plumber = require("gulp-plumber");
var namedLog = require("gulp-named-log");

module.exports = function (name, streams) {
	var options = arguments.length <= 2 || arguments[2] === undefined ? {} : arguments[2];

	var logger = namedLog(name, options.logger);

	var streamList = [plumber(logger.error)].concat(streams).concat([logger.stream()]);

	return combiner.obj(streamList);
};